Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.vis
Class SimplexFeature

    java.lang.Object
      org.ascape.util.vis.SimplexFeature

All Implemented Interfaces:
  HasName

Direct Known Subclasses:
  SimplexView.ConcreteSimplexFeature

    public abstract class SimplexFeature

extends java.lang.Object
implements HasName

An interface providing an interpretation of a peice of data for a simplex view.

Since:
  1.5
Version:
  1.5
Author:
  Miles Parker

Constructor Summary
`SimplexFeature()` Constructs the feature.
`SimplexFeature(java.lang.String name)` Constructs the feature with the provided name.

Method Summary
`abstract java.lang.String` | `getAxis1Name()`
`abstract float` | `getAxis1Value(java.lang.Object object)`
`abstract java.lang.String` | `getAxis2Name()`
`abstract float` | `getAxis2Value(java.lang.Object object)`
`abstract java.lang.String` | `getAxis3Name()`
`abstract float` | `getAxis3Value(java.lang.Object object)`
`java.lang.String` | `getName()` Returns the user relevant name of this feature.
`void` | `setName(java.lang.String name)` Sets the user relevant name for this feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplexFeature

    public SimplexFeature()

  Constructs the feature.

### SimplexFeature

    public SimplexFeature(java.lang.String name)

  Constructs the feature with the provided name.

  Parameters:
    `name` - the name of this draw feature

Method Detail

### getAxis1Value

    public abstract float getAxis1Value(java.lang.Object object)

### getAxis1Name

    public abstract java.lang.String getAxis1Name()

### getAxis2Value

    public abstract float getAxis2Value(java.lang.Object object)

### getAxis2Name

    public abstract java.lang.String getAxis2Name()

### getAxis3Value

    public abstract float getAxis3Value(java.lang.Object object)

### getAxis3Name

    public abstract java.lang.String getAxis3Name()

### getName

    public java.lang.String getName()

  Returns the user relevant name of this feature. "Unnamed" or the name of the nested feature by default. Override or set name to provide a name.

  Specified by:
    `getName` in interface `HasName`

### setName

    public void setName(java.lang.String name)

  Sets the user relevant name for this feature. (Typically, it is quicker and more simple to override the `getName` method, since you will be creating a subclass anyway.)

  Parameters:
    `name` - the user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD